complexType "TerminatingEventsReport"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 14 elements
Defined: | globally in fpml-reporting-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "2"
| >
Content: | header?, validation*, (parentCorrelationId?, correlationId?, sequenceNumber??)?, onBehalfOf[0..4]?, asOfDate?, reportContents?, fromDateTime?, toDateTime?, (optionExpiry? | tradeMaturity?)+, party*, account*
</...>

Content Model Elements (14):

  account, asOfDate (in terminatingEventsReport), correlationId, fromDateTime (in terminatingEventsReport), header (defined in NotificationMessage complexType), onBehalfOf (defined in OnBehalfOf.model group), optionExpiry (in terminatingEventsReport), | parentCorrelationId, party (defined in PartiesAndAccounts.model group), reportContents (in terminatingEventsReport), sequenceNumber (defined in Sequence.model group), toDateTime (in terminatingEventsReport), tradeMaturity, validation

All Direct / Indirect Based Elements (1):

  terminatingEventsReport

Known Usage Locations

- As direct type of elements (1):
  terminatingEventsReport

Annotation
A type defining the content model for a message allowing one party to send a report consisting of a series of maturity and option expiry events for trades. This can be used either for upcoming expirations/maturities, or for already completed events.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) NotificationMessage (extension) TerminatingEventsReport

XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="TerminatingEventsReport"> <xsd:complexContent> <xsd:extension base="NotificationMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"/> <xsd:element minOccurs="0" name="reportContents" type="ReportContents"/> <xsd:element minOccurs="0" name="fromDateTime" type="xsd:date"/> <xsd:element minOccurs="0" name="toDateTime" type="xsd:date"/> <xsd:group maxOccurs="unbounded" ref="MaturityAndExpiryEvents.model"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/14)
asOfDate

  Type: | IdentifiedDate, simple content

  The date for which this document reports positions and valuations.
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"/>

fromDateTime

  Type: | xsd:date, predefined, simple content

  The starting point for reporting expirations/maturities in this report.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fromDateTime" type="xsd:date"/>

reportContents

  Type: | ReportContents, complex content

  The specific characteristics included in the report.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="reportContents" type="ReportContents"/>

toDateTime

  Type: | xsd:date, predefined, simple content

  The ending point for reporting expirations/maturities in this report.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="toDateTime" type="xsd:date"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.